﻿using CommonServiceLocator;
using GalaSoft.MvvmLight.Ioc;
using GalaSoft.MvvmLight.Messaging;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using WpfApp1_hockey.BL;
using WpfApp1_hockey.UI;

namespace WpfApp1_hockey
{
    // SimpleIoc.Default => the dotnet std version does not implement IServiceLocator ...
    class MyIOC : SimpleIoc, IServiceLocator 
    {
        public static MyIOC Instance { get; private set; } = new MyIOC();
    }

    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            // https://blog.ploeh.dk/2011/07/28/CompositionRoot/
            ServiceLocator.SetLocatorProvider(() => MyIOC.Instance);

            MyIOC.Instance.Register<IEditorService, EditorServiceViaWindow>();
            MyIOC.Instance.Register<IMessenger>(() => Messenger.Default);
            MyIOC.Instance.Register<IPlayerLogic, PlayerLogic>();
        }

    }
}
